Package org.jfree.report.modules.gui.swing.common.action

# Interface ActionDowngrade

All Superinterfaces:
  `Action`, `ActionListener`, `EventListener`

All Known Implementing Classes:
  `AbstractActionDowngrade`, `AbstractFileSelectionAction`

public interface ActionDowngrade extends Action
Defines the 2 new constants introduced by Sun in version 1.3 of the J2SDK.

Author:
  Thomas Morgner

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`ACCELERATOR_KEY`
The key used for storing a `KeyStroke` to be used as the accelerator for the action.
`static final String`
`MNEMONIC_KEY`
The key used for storing an int key code to be used as the mnemonic for the action.

### Fields inherited from interface javax.swing.Action

`ACTION_COMMAND_KEY, DEFAULT, DISPLAYED_MNEMONIC_INDEX_KEY, LARGE_ICON_KEY, LONG_DESCRIPTION, NAME, SELECTED_KEY, SHORT_DESCRIPTION, SMALL_ICON`

## Method Summary

### Methods inherited from interface javax.swing.Action

`accept, addPropertyChangeListener, getValue, isEnabled, putValue, removePropertyChangeListener, setEnabled`

### Methods inherited from interface java.awt.event.ActionListener

`actionPerformed`

## Field Details

### ACCELERATOR_KEY

static final String ACCELERATOR_KEY
The key used for storing a `KeyStroke` to be used as the accelerator for the action.

See Also:
  - Constant Field Values

### MNEMONIC_KEY

static final String MNEMONIC_KEY
The key used for storing an int key code to be used as the mnemonic for the action.

See Also:
  - Constant Field Values